package com.bytesw.bytebot.model;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.envers.Audited;

import javax.persistence.*;
import java.util.List;

/**
 * @author Sebastian Chicoma Sandmann
 * @version 09-sep-2020
 *
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 *
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
@Audited
@Entity
@Table(name = "AVB_CHANNEL")
@Getter @Setter @ToString
@EqualsAndHashCode(of = {"id"}, callSuper = false)
public class Channel {

    @Id
    @Column(name = "CHAN_ID")
    @SequenceGenerator(name = "AVB_CHANNEL_GENERATOR", sequenceName = "AVB_CHANNEL_SEQ", initialValue = 1, allocationSize = 1)
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "AVB_CHANNEL_GENERATOR")
    private Long id;

    @Column(name = "CHAN_IDEN")
    private String name;

    @Column(name = "CHAN_IMAG")
    private String image;

    @OneToMany(mappedBy = "channel")
    private List<ChannelParam> parameters;

    @Column(name = "CHAN_TITLE")
    private String suggestTitle;

    @Column(name = "CHAN_DETAIL")
    private String suggestDetail;

}
